/***************************************************************************
                          wizpage2.cpp  -  description
                             -------------------
    begin                : Sat May 6 2000
    copyright            : (C) 2000 by Frank von Daak
    email                : frank.fun@kpage.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
/***************************************************************************
                          wizpage2.cpp  -  description
                             -------------------
    begin                : Mon Feb 7 2000
    copyright            : (C) 2000 by Frank von Daak
    email                : frank.fun@skydsl.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "wizpage2.h"

WizPage2::WizPage2(QWidget *parent, const char *name )
		: QFrame(parent,name)
{
	butGroup = new QButtonGroup(i18n("What do you want to do ?"), this);
	butGroup->setGeometry(5,10,435,100);

	mirrorBut = new QRadioButton(i18n("Mirror a whole site, for Off-line Browsing"), butGroup);
	mirrorBut->setGeometry(5,25,420,15);
	mirrorBut->setChecked(true);
	QToolTip::add( mirrorBut, i18n("...or just a tree of the site !!!"));
	singleBut = new QRadioButton(i18n("Download a single file from a known site"), butGroup);
	singleBut->setGeometry(5,45,420,15);

	moresitesBut = new QRadioButton(i18n("Mirror or download more than one site or file"), butGroup);
	moresitesBut->setGeometry(5,65,420,15);

	QLabel *agentLab = new QLabel(i18n("Please choose the User-Agent, KWebGet should be identified as :"), this);
	agentLab->setGeometry(5,120,435,30);
	
	agentCombo = new QComboBox(this);
	  agentCombo->insertItem("Wget",0);
	  agentCombo->insertItem("Mozilla/4.7",1);
	  agentCombo->insertItem("Mozilla/5.0",2);
	  agentCombo->insertItem("MSIE/5.0",3);
	  agentCombo->insertItem("Konqueror/1.1.1",4);
	  agentCombo->insertItem("Lynx/TextBrowser",5);
	  agentCombo->insertItem(i18n("Choose another Agent"),6);
	agentCombo->setGeometry(5,153,200,24);

	agentLine = new QLineEdit(this);
	agentLine->setGeometry(210,155,200,22);
	agentLine->hide();

	agentCombo->setFocus();
}

WizPage2::~WizPage2()
{
}
